<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'project',

    /*
     * Package.
     */
    'package'   => 'task',

    /*
     * Modules.
     */
    'modules'   => ['task', 
'tasktype'],

    'task'       => [
        'model' => [
            'model'                 => \Project\Task\Models\Task::class,
            'table'                 => 'tasks',
            'presenter'             => \Project\Task\Repositories\Presenter\TaskPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'project_id',  'sprint_id',  'tasktype_id',  'roadmap_id',  'assignee_id',  'reporter_id',  'stage',  'start',  'end',  'task',  'estimate',  'actual',  'priority',  'labels',  'billable',  'slug',  'upload_folder',  'created_by',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'task/task',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Task',
            'module'    => 'Task',
        ],

    ],

    'tasktype'       => [
        'model' => [
            'model'                 => \Project\Task\Models\Tasktype::class,
            'table'                 => 'tasktypes',
            'presenter'             => \Project\Task\Repositories\Presenter\TasktypePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'name',  'icon',  'color',  'details',  'fields',  'slug',  'created_by',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'task/tasktype',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Task',
            'module'    => 'Tasktype',
        ],

    ],
];
