<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTasksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: tasks
         */
        Schema::create('tasks', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('project_id')->nullable();
            $table->integer('sprint_id')->nullable();
            $table->integer('tasktype_id')->nullable();
            $table->integer('roadmap_id')->nullable();
            $table->integer('assignee_id')->nullable();
            $table->integer('reporter_id')->nullable();
            $table->string('stage', 50)->nullable();
            $table->dateTime('start')->nullable();
            $table->dateTime('end')->nullable();
            $table->text('task')->nullable();
            $table->time('estimate')->nullable();
            $table->time('actual')->nullable();
            $table->enum('priority', ['Very High','High','Medium','Low'])->nullable();
            $table->text('labels')->nullable();
            $table->tinyInteger('billable')->nullable();
            $table->string('slug', 100)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('tasks');
    }
}
