Lavalite package that provides task management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `project/task`.

    "project/task": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Project\Task\Providers\TaskServiceProvider::class,

And also add it to alias

    'Task'  => Project\Task\Facades\Task::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Project\\TaskTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Project\Task\Providers\TaskServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Project\Task\Providers\TaskServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Project\Task\Providers\TaskServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/task/{modulename}

**User**

    http://path-to-route-folder/user/task/{modulename}

**Public**

    http://path-to-route-folder/tasks


### API endpoints

**List**

    http://path-to-route-folder/api/user/task/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/task/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/task/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/task/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/task/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/task/{modulename}/{slug}
    METHOD: GET