<?php

namespace Project\Task\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Project\Task\Interfaces\TasktypeRepositoryInterface;

class TasktypePublicController extends BaseController
{
    // use TasktypeWorkflow;

    /**
     * Constructor.
     *
     * @param type \Project\Tasktype\Interfaces\TasktypeRepositoryInterface $tasktype
     *
     * @return type
     */
    public function __construct(TasktypeRepositoryInterface $tasktype)
    {
        $this->repository = $tasktype;
        parent::__construct();
    }

    /**
     * Show tasktype's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tasktypes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('task::tasktype.names'))
            ->view('task::public.tasktype.index')
            ->data(compact('tasktypes'))
            ->output();
    }


    /**
     * Show tasktype.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $tasktype = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($tasktype->name . trans('task::tasktype.name'))
            ->view('task::public.tasktype.show')
            ->data(compact('tasktype'))
            ->output();
    }

}
