<?php

namespace Project\Task\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TaskTransformer extends TransformerAbstract
{
    public function transform(\Project\Task\Models\Task $task)
    {
        return [
            'id'                => $task->getRouteKey(),
            'key'               => [
                'public'    => $task->getPublicKey(),
                'route'     => $task->getRouteKey(),
            ], 
            'parent_id'         => $task->parent_id,
            'project_id'        => $task->project_id,
            'sprint_id'         => $task->sprint_id,
            'tasktype_id'       => $task->tasktype_id,
            'roadmap_id'        => $task->roadmap_id,
            'assignee_id'       => $task->assignee_id,
            'reporter_id'       => $task->reporter_id,
            'stage'             => $task->stage,
            'start'             => $task->start,
            'end'               => $task->end,
            'task'              => $task->task,
            'estimate'          => $task->estimate,
            'actual'            => $task->actual,
            'priority'          => $task->priority,
            'labels'            => $task->labels,
            'billable'          => $task->billable,
            'slug'              => $task->slug,
            'upload_folder'     => $task->upload_folder,
            'created_by'        => $task->created_by,
            'deleted_at'        => $task->deleted_at,
            'url'               => [
                'public'    => trans_url('task/'.$task->getPublicKey()),
                'user'      => guard_url('task/task/'.$task->getRouteKey()),
            ], 
            'status'            => trans('app.'.$task->status),
            'created_at'        => format_date($task->created_at),
            'updated_at'        => format_date($task->updated_at),
        ];
    }
}