<?php

namespace Project\Task\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TasktypeTransformer extends TransformerAbstract
{
    public function transform(\Project\Task\Models\Tasktype $tasktype)
    {
        return [
            'id'                => $tasktype->getRouteKey(),
            'key'               => [
                'public'    => $tasktype->getPublicKey(),
                'route'     => $tasktype->getRouteKey(),
            ], 
            'project_id'        => $tasktype->project_id,
            'name'              => $tasktype->name,
            'icon'              => $tasktype->icon,
            'color'             => $tasktype->color,
            'details'           => $tasktype->details,
            'fields'            => $tasktype->fields,
            'slug'              => $tasktype->slug,
            'created_by'        => $tasktype->created_by,
            'deleted_at'        => $tasktype->deleted_at,
            'url'               => [
                'public'    => trans_url('task/'.$tasktype->getPublicKey()),
                'user'      => guard_url('task/tasktype/'.$tasktype->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tasktype->status),
            'created_at'        => format_date($tasktype->created_at),
            'updated_at'        => format_date($tasktype->updated_at),
        ];
    }
}