<?php

namespace Project\Task;

use User;

class Task
{
    /**
     * $task object.
     */
    protected $task;
    /**
     * $tasktype object.
     */
    protected $tasktype;

    /**
     * Constructor.
     */
    public function __construct(\Project\Task\Interfaces\TaskRepositoryInterface $task,
        \Project\Task\Interfaces\TasktypeRepositoryInterface $tasktype)
    {
        $this->task = $task;
        $this->tasktype = $tasktype;
    }

    /**
     * Returns count of task.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.task.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->task->pushCriteria(new \Litepie\Project\Repositories\Criteria\TaskUserCriteria());
        }

        $task = $this->task->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('task::' . $view, compact('task'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tasktype.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tasktype->pushCriteria(new \Litepie\Project\Repositories\Criteria\TasktypeUserCriteria());
        }

        $tasktype = $this->tasktype->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('task::' . $view, compact('tasktype'))->render();
    }
}
